com.tibbo.aggregate.common.structure

## Enum OriginKind

- java.lang.Object
- - java.lang.Enum<OriginKind>
  - - com.tibbo.aggregate.common.structure.OriginKind

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<OriginKind>

      public enum OriginKind
      extends java.lang.Enum<OriginKind>

  Classification of origins of cross-context interactions (as distinguished by the observability logic). Note that a reference can also reside inside an expression but from the origin point of view it is considered expression, not reference.
  Since:
    AGG-10879

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXPRESSION`
    `REFERENCE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OriginKind` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static OriginKind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REFERENCE

          public static final OriginKind REFERENCE

    - #### EXPRESSION

          public static final OriginKind EXPRESSION

  - ### Method Detail

    - #### values

          public static OriginKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OriginKind c : OriginKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OriginKind valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null